package java.text.spi;

import java.text.BreakIterator;
import java.util.Locale;
import java.util.spi.LocaleServiceProvider;

public abstract class BreakIteratorProvider extends LocaleServiceProvider
{
    protected BreakIteratorProvider() {
    }
    
    public abstract BreakIterator getWordInstance(Locale p0);
    
    public abstract BreakIterator getLineInstance(Locale p0);
    
    public abstract BreakIterator getCharacterInstance(Locale p0);
    
    public abstract BreakIterator getSentenceInstance(Locale p0);
}
